Bug 1255126 - [RFE] Gear migration between districts
[RFE] Gear migration between districts
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
2.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike Barrett
Johnny Liu
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 13:09 EDT by Ricardo Martinelli de Oliveira
Modified: 2016-03-30 18:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 09:32:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardo Martinelli de Oliveira 2015-08-19 13:09:01 EDT
Description of problem:
Customer wants to be able to migrate applications between districts when they want to change application gear size after noticing that applications are growing in number of requests and resources.

Version-Release number of selected component (if applicable):
2.2.x
Comment 2 Eric Rich 2015-09-11 12:48:24 EDT
As it stands today you can move gears between 2 nodes in the same district [0]. The command (as shown below) already allows for what you are requesting (with the --destination_district_uuid and --change_district options) however it does so with limitations. 

    # oo-admin-move --help
    == Synopsis

    oo-admin-move: Move an app from one node to another

    == Usage

    oo-admin-move OPTIONS

    Options:
    --gear_uuid <gear_uuid>[,<gear_uuid>,<gear_uuid>]
        Gear uuid to move
    --destination_district_uuid <district_uuid>
        Destination district uuid
    -i|--target_server_identity <server_identity>
        Target server identity
    -p|--node_profile <node_profile>
        Node profile
    -t|--timeout
        timeout
    --json
        Print the move report at finish in JSON
    --change_district
        Move to a different district other than the source district
    -h|--help
        Show Usage info

The limitation here being that the GEAR UID can not exist in the new district to which you are moving it.

Note You need to log in before you can comment on or make changes to this bug.